Name: 		oversteer
Version: 	0.8.3
Release: 	%mkrel 2
Summary: 	Steering Wheel Manager for Linux
Group:		Games/Arcade
License: 	GPLv3
URL:		https://github.com/berarma/oversteer
Source0:		%{url}/archive/refs/tags/v%{version}.tar.gz?/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  meson
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-gobject
BuildRequires:  python3-pyudev
BuildRequires:	python3-pyxdg
BuildRequires:	python3-evdev
BuildRequires: 	python3-matplotlib
BuildRequires:	python3-scipy
BuildRequires:  libgudev-devel
BuildRequires:  desktop-file-utils
BuildRequires:  systemd

Requires:   python3-gobject
Requires:   python3-pyudev
Requires:	python3-pyxdg
Requires:	python3-evdev
Requires:	appstream
Requires:	desktop-file-utils
Requires: 	python3-matplotlib
Requires:	python3-scipy
Requires:   python3-matplotlib-gtk3

%description
Oversteer is an application to configure Logitech Wheels.

Please note that aditional drivers are required to add wider compatibility:
- new-lg4ff  : For Logitech G25/G27/G29/G923, Wingman and more.
- hid-fanatecff : For FANATEC Wheel devices and more.
- hid-tmff2 :  For Thrustmaster T300RS, T248 and (experimental) TX,
  T128 and TS-XW wheels and more.
- tmx-driver : For the Thrustmaster TMX Racing Wheel and more.
- t150_driver : Thrustmaster T150 and TMX Force Feedback Wheels.

%prep
%autosetup -p1
rm -f oversteer/.device_manager.py.swp

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/oversteer
%dir %{python3_sitelib}/oversteer/
%pycached %{python3_sitelib}/oversteer/__init__.py
%pycached %{python3_sitelib}/oversteer/application.py
%pycached %{python3_sitelib}/oversteer/gtk_ui.py
%pycached %{python3_sitelib}/oversteer/gui.py
%{python3_sitelib}/oversteer/main.css
%{python3_sitelib}/oversteer/main.ui
%pycached %{python3_sitelib}/oversteer/device.py
%pycached %{python3_sitelib}/oversteer/device_manager.py
%pycached %{python3_sitelib}/oversteer/combined_chart.py
%pycached %{python3_sitelib}/oversteer/gtk_handlers.py
%pycached %{python3_sitelib}/oversteer/linear_chart.py
%pycached %{python3_sitelib}/oversteer/model.py
%pycached %{python3_sitelib}/oversteer/performance_chart.py
%pycached %{python3_sitelib}/oversteer/signal.py
%pycached %{python3_sitelib}/oversteer/test.py
%pycached %{python3_sitelib}/oversteer/wheel_ids.py
%{_datadir}/applications/io.github.berarma.Oversteer.desktop
%{_datadir}/icons/hicolor/scalable/apps/io.github.berarma.Oversteer.svg
%{_datadir}/metainfo/io.github.berarma.Oversteer.appdata.xml
%{_prefix}/lib/udev/rules.d/99-thrustmaster-wheel-perms.rules
%{_prefix}/lib/udev/rules.d/99-logitech-wheel-perms.rules
%{_prefix}/lib/udev/rules.d/99-fanatec-wheel-perms.rules


%changelog
* Mon Mar 10 2025 neoclust <neoclust> 0.8.3-2.mga10
+ Revision: 2162426
- Rebuild against new python 3.13

* Wed Feb 26 2025 papoteur <papoteur> 0.8.3-1.mga10
+ Revision: 2152696
- remove requiring python3-libevdev, python3-evdev is used.
+ katnatek <katnatek>
- Use %%autosetup
- add missing %%prep
- Fix Descripton
- Add rpm group
- Make some cleaning in the spec
- imported package oversteer

